{
    "type": "project",
    "license": "proprietary",
    "repositories": [
        {
            "type": "vcs",
            "url": "ssh://git@gitlab.2iopenservice.com/vincent/foselastica.git"
        }
    ],
    "require": {
        "php": ">=8.0",
        "ext-ctype": "*",
        "ext-iconv": "*",
        "api-platform/core": "^2.6",
        "beberlei/doctrineextensions": "^1.3",
        "blackfire/php-sdk": "^1.23",
        "composer/package-versions-deprecated": "^1.11",
        "damienharper/auditor-bundle": "^5.0",
        "doctrine/dbal": "^2.6",
        "doctrine/doctrine-bundle": "^2.1",
        "doctrine/doctrine-migrations-bundle": "^3.0",
        "doctrine/orm": "^2.9",
        "egulias/email-validator": "^3.0",
        "jbouzekri/phumbor-bundle": "^2.1",
        "knplabs/knp-gaufrette-bundle": "^0.7.1",
        "knplabs/knp-snappy-bundle": "^1.9",
        "lcobucci/jwt": "^4.1",
        "lexik/jwt-authentication-bundle": "^2.8",
        "lorenzo/pinky": "^1.0",
        "myclabs/php-enum": "^1.7",
        "nelmio/cors-bundle": "^2.1",
        "odolbeau/phone-number-bundle": "^3.1",
        "phpdocumentor/reflection-docblock": "^5.2",
        "ralouphie/mimey": "^1.0",
        "ramsey/uuid": "^4.2",
        "symfony/asset": "5.4.*",
        "symfony/console": "5.4.*",
        "symfony/doctrine-messenger": "5.4.*",
        "symfony/dotenv": "5.4.*",
        "symfony/expression-language": "5.4.*",
        "symfony/flex": "^1.3.1",
        "symfony/framework-bundle": "5.4.*",
        "symfony/http-client": "5.4.*",
        "symfony/intl": "5.4.*",
        "symfony/lock": "5.4.*",
        "symfony/mailer": "^5.4",
        "symfony/mercure": "^0.6.1",
        "symfony/mercure-bundle": "^0.3.4",
        "symfony/monolog-bundle": "^3.7",
        "symfony/polyfill-intl-messageformatter": "^1.24",
        "symfony/property-access": "5.4.*",
        "symfony/property-info": "5.4.*",
        "symfony/security-bundle": "5.4.*",
        "symfony/serializer": "5.4.*",
        "symfony/translation": "5.4.*",
        "symfony/twig-bundle": "^5.4",
        "symfony/uid": "5.4.*",
        "symfony/validator": "5.4.*",
        "symfony/yaml": "5.4.*",
        "twig/cssinliner-extra": "^3.4",
        "twig/extra-bundle": "^3.4",
        "twig/inky-extra": "^3.4",
        "vincent/foselastica": "1.2",
        "webonyx/graphql-php": "^14.3"
    },
    "require-dev": {
        "cyclonedx/cyclonedx-php-composer": "^3.4",
        "phpstan/phpstan": "^1.9",
        "rector/rector": "^0.14",
        "symfony/debug-bundle": "5.4.*",
        "symfony/maker-bundle": "^1.21",
        "symfony/phpunit-bridge": "^5.4",
        "symfony/stopwatch": "^5.4",
        "symfony/web-profiler-bundle": "^5.4"
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": {
            "*": "dist"
        },
        "sort-packages": true,
        "allow-plugins": {
            "cyclonedx/cyclonedx-php-composer": true,
            "symfony/flex": true
        }
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "replace": {
        "paragonie/random_compat": "2.*",
        "symfony/polyfill-ctype": "*",
        "symfony/polyfill-iconv": "*",
        "symfony/polyfill-php72": "*",
        "symfony/polyfill-php71": "*",
        "symfony/polyfill-php70": "*",
        "symfony/polyfill-php56": "*"
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ]
    },
    "conflict": {
        "symfony/symfony": "*"
    },
    "extra": {
        "symfony": {
            "allow-contrib": false,
            "require": "5.4.*"
        }
    }
}
